# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.models.meta_data_base import MetaDataBase

class TestMetaDataBase(unittest.TestCase):
    """MetaDataBase unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> MetaDataBase:
        """Test MetaDataBase
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `MetaDataBase`
        """
        model = MetaDataBase()
        if include_optional:
            return MetaDataBase(
                id = '5eb7cf5a86d9755df3a6c593',
                provider_md_id = '',
                provider_id = '5eb7cf5a86d9755df3a6c593',
                content = '',
                content_type = 'text',
                relationships = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                data = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                access = 'public'
            )
        else:
            return MetaDataBase(
                provider_md_id = '',
                provider_id = '5eb7cf5a86d9755df3a6c593',
                content = '',
        )
        """

    def testMetaDataBase(self):
        """Test MetaDataBase"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
